package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealApplyDetailRequest struct {
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】 指定需获取详情数据的用印申请
	BusinessId *int64 `json:"businessId,omitempty"`
}

func (obj SealApplyDetailRequest) GetUrl() string {
	return "/seal/apply/detail"
}

func (obj SealApplyDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("businessId", obj.BusinessId)
	return parameter
}
